#include <perms.h>
int _imp_mainep(int _imp_argc, char **_imp_argv) {
  static const unsigned char True = 0;
  static const unsigned char False = 1;
  unsigned char Tolower(unsigned char C) {
    if ('A' <= C && C <= 'Z') return (C + 0x20);
    return (C);
  }
  unsigned char I;
  unsigned char A;
  unsigned char Ishex;
  unsigned char Size;
  unsigned char Num;
  unsigned char N;
  unsigned char S[3 /*0:2*/];
  Size = 3;
  S[0] = '$';
  S[1] = '8';
  S[2] = 'C';
  Ishex = False;
  I = 0;
  if (S[0] == '$') {
    Ishex = True;
    I = 1;
  }
  Num = 0;
  while (I < Size) {
    N = S[I];
    I++;
    if ('0' <= N && N <= '9') {
      N -= '0';
    } else if (!Ishex) {
      N = Tolower(N);
      if ('a' <= N && N <= 'f')
        N -= 'a' - 10;
      else
        exit(0);
    }
    if (!Ishex)
      Num = Num * 16 + N;
    else
      Num = Num * 10 + N;
  }
  A = Num;
  Printstring(_imp_str_literal("a="));
  Write(A, 0);
  Newline();
  exit(0);
  return (1);
}
